#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;
using NinjaTrader.NinjaScript.DrawingTools;
#endregion

//This namespace holds Indicators in this folder and is required. Do not change it. 
namespace NinjaTrader.NinjaScript.Indicators
{
	public class GomTestMPLevels : Indicator
	{
	
		GomPro.GomMPProLevels gommpl;
		
		protected override void OnStateChange()
		{
			if (State == State.SetDefaults)
			{
				Description									= @"This indicator shows how to access MP exposed data";
				Name										= "GomTestMPLevels";
				Calculate									= Calculate.OnBarClose	;
				IsOverlay									= false;
				DisplayInDataBox							= true;
				DrawOnPricePanel							= true;
				DrawHorizontalGridLines						= true;
				DrawVerticalGridLines						= true;
				PaintPriceMarkers							= true;
				ScaleJustification							= NinjaTrader.Gui.Chart.ScaleJustification.Right;
				//Disable this property if your indicator requires custom values that cumulate with each new market data event. 
				//See Help Guide for additional information.
				IsSuspendedWhileInactive					= true;
						
			}
            else if (State == State.DataLoaded)
            {
                StartUp();
            }

		}

        protected virtual void StartUp()
        {
			gommpl = GomMPProLevels(Gom.MP.DataSourceType.File,1,Gom.MP.Periodicity.Daily,1,0,Gom.MP.ProfileData.Volume,false,"09:00:00","17:30:00",Gom.Lib.GomTZ.TIMEZONE_LOCAL,false,70,5);
         	gommpl.Calculate=this.Calculate; //set calculation mode .

		}
		
		

		
		protected override void OnBarUpdate()
        {
  			gommpl.Update();
			

			Print("\n"+CurrentBar+"-"+Time[0]);
			
			Print("HVNs");	
			foreach(double hvn in gommpl.VN.HVNs)
				Print(hvn);
			
			Print("LVNs");			
			foreach(double lvn in gommpl.VN.LVNs)
				Print(lvn);
						
			Print("POC");			
			Print(gommpl.POC[0]);
			
			
		}
			
	    
		#region Properties


        #endregion
	}
}

#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		private GomTestMPLevels[] cacheGomTestMPLevels;
		public GomTestMPLevels GomTestMPLevels()
		{
			return GomTestMPLevels(Input);
		}

		public GomTestMPLevels GomTestMPLevels(ISeries<double> input)
		{
			if (cacheGomTestMPLevels != null)
				for (int idx = 0; idx < cacheGomTestMPLevels.Length; idx++)
					if (cacheGomTestMPLevels[idx] != null &&  cacheGomTestMPLevels[idx].EqualsInput(input))
						return cacheGomTestMPLevels[idx];
			return CacheIndicator<GomTestMPLevels>(new GomTestMPLevels(), input, ref cacheGomTestMPLevels);
		}
	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		public Indicators.GomTestMPLevels GomTestMPLevels()
		{
			return indicator.GomTestMPLevels(Input);
		}

		public Indicators.GomTestMPLevels GomTestMPLevels(ISeries<double> input )
		{
			return indicator.GomTestMPLevels(input);
		}
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		public Indicators.GomTestMPLevels GomTestMPLevels()
		{
			return indicator.GomTestMPLevels(Input);
		}

		public Indicators.GomTestMPLevels GomTestMPLevels(ISeries<double> input )
		{
			return indicator.GomTestMPLevels(input);
		}
	}
}

#endregion
